## Flutter Development Environment

[Set Up Environment](https://flutter.dev/docs/get-started/install)

Install Visual Studio Code and Flutter and Dart extensions

## Development Workflow

There is `lib` folder which Kvalifika SDK code belongs to and app in `example` folder which uses SDK

To start an example application, open `main.dart` file.

Click `Run icon` and then `Start Debugging`
Make sure to use physical device for testing.

If device is Android, enable Developer Options in device settings.

## Publishing

Before publishing run tests. Use physical device.
Run command in the terminal

```bash
cd example
flutter drive --target=test_driver/main.dart
```

If you're testing on Android, wait before gradle build finishes, approve installation and don't touch phone after app opens.

Bump version in `pubspec.yaml` file, write changes in `CHANGELOG.md`. Then commit and push changes.

Create Release on [Github](https://github.com/Kvalifika/kvalifika-flutter-sdk/releases/new)

Run `dart pub publish --dry-run` to see what will be published.

Run `dart pub publish` after you're ready to publish.
